Bug 1028858 - %post scriptlet failure on update/install
%post scriptlet failure on update/install
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: fakeroot (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 23:26 EST by T.C. Hollingsworth
Modified: 2017-07-04 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-04 12:38:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-11-10 23:26:26 EST
From my last yum update:

  Updating   : fakeroot-1.18.4-2.fc18.armv7hl
failed to link /usr/share/man/de/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.de.1.gz: No such file or directory
failed to link /usr/share/man/de/man1/faked.1.gz -> /etc/alternatives/faked.de.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.es.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/faked.1.gz -> /etc/alternatives/faked.es.1.gz: No such file or directory
failed to link /usr/share/man/fr/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.fr.1.gz: No such file or directory
failed to link /usr/share/man/fr/man1/faked.1.gz -> /etc/alternatives/faked.fr.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.nl.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/faked.1.gz -> /etc/alternatives/faked.nl.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.sv.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/faked.1.gz -> /etc/alternatives/faked.sv.1.gz: No such file or directory
failed to link /usr/share/man/de/man1/faked.1.gz -> /etc/alternatives/faked.de.1.gz: No such file or directory
failed to link /usr/share/man/de/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.de.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/faked.1.gz -> /etc/alternatives/faked.es.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.es.1.gz: No such file or directory
failed to link /usr/share/man/fr/man1/faked.1.gz -> /etc/alternatives/faked.fr.1.gz: No such file or directory
failed to link /usr/share/man/fr/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.fr.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/faked.1.gz -> /etc/alternatives/faked.nl.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.nl.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/faked.1.gz -> /etc/alternatives/faked.sv.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.sv.1.gz: No such file or directory
warning: %post(fakeroot-1.18.4-2.fc18.armv7hl) scriptlet failed, exit status 2
Non-fatal POSTIN scriptlet failure in rpm package fakeroot-1.18.4-2.fc18.armv7hl
Comment 1 Fedora End Of Life 2013-12-21 09:44:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:32:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Orion Poplawski 2016-09-15 23:39:53 EDT
  Installing  : fakeroot-1.20.2-4.fc24.x86_64                                                                                                                           2/4
failed to link /usr/share/man/es/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.es.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/faked.1.gz -> /etc/alternatives/faked.es.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.nl.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/faked.1.gz -> /etc/alternatives/faked.nl.1.gz: No such file or directory
failed to link /usr/share/man/pt/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.pt.1.gz: No such file or directory
failed to link /usr/share/man/pt/man1/faked.1.gz -> /etc/alternatives/faked.pt.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.sv.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/faked.1.gz -> /etc/alternatives/faked.sv.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/faked.1.gz -> /etc/alternatives/faked.es.1.gz: No such file or directory
failed to link /usr/share/man/es/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.es.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/faked.1.gz -> /etc/alternatives/faked.nl.1.gz: No such file or directory
failed to link /usr/share/man/nl/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.nl.1.gz: No such file or directory
failed to link /usr/share/man/pt/man1/faked.1.gz -> /etc/alternatives/faked.pt.1.gz: No such file or directory
failed to link /usr/share/man/pt/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.pt.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/faked.1.gz -> /etc/alternatives/faked.sv.1.gz: No such file or directory
failed to link /usr/share/man/sv/man1/fakeroot.1.gz -> /etc/alternatives/fakeroot.sv.1.gz: No such file or directory
warning: %post(fakeroot-1.20.2-4.fc24.x86_64) scriptlet failed, exit status 2
Comment 4 Fedora End Of Life 2017-02-28 04:35:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Dominik 'Rathann' Mierzejewski 2017-07-04 12:38:00 EDT
Sorry, cannot reproduce this:
===
$ sudo dnf install fakeroot
Last metadata expiration check: 0:21:31 ago on Tue Jul  4 18:08:28 2017.
Dependencies resolved.
================================================================================
 Package              Arch          Version                 Repository     Size
================================================================================
Installing:
 fakeroot             x86_64        1.20.2-4.fc24           fedora        101 k
 fakeroot-libs        x86_64        1.20.2-4.fc24           fedora         35 k

Transaction Summary
================================================================================
Install  2 Packages

Total download size: 136 k
Installed size: 294 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): fakeroot-libs-1.20.2-4.fc24.x86_64.rpm   111 kB/s |  35 kB     00:00    
(2/2): fakeroot-1.20.2-4.fc24.x86_64.rpm        292 kB/s | 101 kB     00:00    
--------------------------------------------------------------------------------
Total                                           262 kB/s | 136 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : fakeroot-libs-1.20.2-4.fc24.x86_64                          1/2 
  Installing  : fakeroot-1.20.2-4.fc24.x86_64                               2/2 
  Verifying   : fakeroot-1.20.2-4.fc24.x86_64                               1/2 
  Verifying   : fakeroot-libs-1.20.2-4.fc24.x86_64                          2/2 

Installed:
  fakeroot.x86_64 1.20.2-4.fc24        fakeroot-libs.x86_64 1.20.2-4.fc24       

You should restart:
  Nothing needs to be restarted
Complete!
===
Same thing on F24, F26 and rawhide.

Please post exact steps to reproduce and reopen if still reproducible for anyone.

Note You need to log in before you can comment on or make changes to this bug.